// ************************************************************************************************************
// Author: Marcin Załęczny
// Release Date: 2010-11-10
// Licence: The GNU Lesser General Public License, version 3.0 (LGPLv3)
// ************************************************************************************************************
#ifndef __MZSTDXPSBLANKETS_PP519A_TRANSFER_FORM_H__
#define __MZSTDXPSBLANKETS_PP519A_TRANSFER_FORM_H__

#include "mzTransferForm.h"

#define     TRANSFER_TYPE_PP519A          1

class DECLSPEC_MZSTDXPSBLANKETS CPP519ATransferForm : public CTransferForm {
public:
    WINAPI CPP519ATransferForm() : CTransferForm() {
        this->_commonInit();
    };
    WINAPI CPP519ATransferForm(CString receiver, CString receiver2, CString receiverAccount, CString amount,
                                    CString senderAccount, CString sender, CString sender2,
                                    CString title, CString title2);
    virtual WINAPI ~CPP519ATransferForm();

    virtual CXmlNode* WINAPI generateBlanket(CXpsPackage* xps, CXpsDocument* xpsDoc, CXpsPage* page, CString fontName, float pageWidth, float pageHeight, float paddingTop = 0);
    
protected:    
    CString WINAPI _getBlanketCanvasForBank(INT dx, INT dy);
    CString WINAPI _getBlanketCanvasForCustomer(INT dx, INT dy);
    VOID WINAPI _commonInit();

};

#endif
